Bug 6290 - Fixing uninitialized warnings on homebranch in XSLT.pm
Summary: Fixing uninitialized warnings on homebranch in XSLT.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Marcel de Rooy
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-02 07:48 UTC by Marcel de Rooy
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (908 bytes, patch)
2011-05-02 08:00 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Signed off Patch (922 bytes, patch)
2011-05-13 07:50 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2011-05-02 07:48:16 UTC
Logfile contains lots of warnings: opac-search.pl: Use of uninitialized value in hash element at C4/XSLT.pm line 213., referer: opac-search.pl
Patch checks on null value.
Comment 1 Marcel de Rooy 2011-05-02 08:00:14 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-05-13 07:50:07 UTC
Created attachment 4097 [details] [review]
Signed off Patch
Comment 3 Paul Poulain 2011-08-10 13:05:00 UTC
QA comment

trivial & useful patch, marking "passed QA"
Comment 4 Chris Cormack 2011-08-11 00:56:57 UTC
Pushed please test
Comment 5 Marcel de Rooy 2011-10-03 07:28:20 UTC
Closing it myself now..